summaryrefslogtreecommitdiff
path: root/test/testssl
diff options
context:
space:
mode:
Diffstat (limited to 'test/testssl')
-rw-r--r--test/testssl6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/testssl b/test/testssl
index 8ac90ae5ee..f9d7c5d65f 100644
--- a/test/testssl
+++ b/test/testssl
@@ -142,4 +142,10 @@ else
fi
fi
+echo test tls1 with PSK
+$ssltest -tls1 -cipher PSK -psk abc123 $extra || exit 1
+
+echo test tls1 with PSK via BIO pair
+$ssltest -bio_pair -tls1 -cipher PSK -psk abc123 $extra || exit 1
+
exit 0